// From the software distribution accompanying the textbook
// "A Practical Introduction to Data Structures and Algorithm Analysis,
// Third Edition (C++)" by Clifford A. Shaffer.
// Source code Copyright (C) 2007-2011 by Clifford A. Shaffer.

// Main program for the array list class

// Include the supplementary classes
#include "book.h"
#include "compare.h"

// Include the list class
#include "list_A.h"

// Generic list test commands
#include "ListTest.h"

// Main routine
int main()
{
    AList<double> listOfDoubles(20);
    listOfDoubles.append(1.0);
    listOfDoubles.append(4.0);
    listOfDoubles.append(2.0);
    listOfDoubles.length();
    listOfDoubles.moveToStart();
    listOfDoubles.moveToEnd();
    listOfDoubles.prev();
    listOfDoubles.next();
    listOfDoubles.moveToPos(2);
    listOfDoubles.currPos();
    listOfDoubles.getValue();
    listOfDoubles.insert_elem(9.0);
    listOfDoubles.insert_elem(19.0);
    listOfDoubles.remove_elem();
    listOfDoubles.moveToPos(3);
    listOfDoubles.remove_elem();
    lprint(listOfDoubles);
    listOfDoubles.clear_list();

    // step into destructor
    return 0;
}
